/// <reference types="react" />
export declare const DisplayValue: import("../../components/styled").StyledComponent<import("../../components/Typography/types").TypographyPropsBase & {
    color?: import("../../components/Typography").TypographyColor | undefined;
    variant?: import("../../components/Typography").TypographyVariant | undefined;
    colorIntensity?: import("../../components/Typography").Intensity | undefined;
    component?: import("../../components/Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $isEdited?: boolean | undefined;
    $isLoading?: boolean | undefined;
}, {}, {}>;
export declare const StyledEditIcon: import("../../components/styled").StyledComponent<{
    children?: import("react").ReactNode;
    color?: string | undefined;
    titleAccess?: string | undefined;
    size?: "sm" | "md" | undefined;
} & import("react").SVGProps<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $iconPosition: 'left' | 'right';
}, {}, {}>;
export declare const StyledLoader: import("../../components/styled").StyledComponent<import("../../components/Loader").LoaderProps & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $iconPosition: 'left' | 'right';
}, {}, {}>;
export declare const StyledPopover: import("../../components/styled").StyledComponent<import("../..").WithoutEmotionSpecific<import("@mui/material").PopoverProps> & {
    title?: string | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
